# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::TextureState Class Reference

Base class for the OpenGL texture state wrapper classes. More...

`#include <RenderState.hpp>`

Inheritance diagram for vl::TextureState:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| TextureState ()
int | textureUnit () const
void | setUnitIndex (int unit_index)

## Protected Attributes

int | mTextureUnit

## Detailed Description

Base class for the OpenGL texture state wrapper classes.

See also:
  Shader, Effect, Actor, RenderState

Definition at line 71 of file RenderState.hpp.

## Constructor & Destructor Documentation

vl::TextureState::TextureState | ( | ) | `[inline]`

Definition at line 75 of file RenderState.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::TextureState::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Reimplemented in vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureUnit.

Definition at line 74 of file RenderState.hpp.

int vl::TextureState::textureUnit | ( | ) | const`[inline]`

Definition at line 79 of file RenderState.hpp.

Referenced by vl::TextureUnit::apply(), vl::TextureMatrix::apply(), vl::TexGen::apply(), and vl::TexEnv::apply().

void vl::TextureState::setUnitIndex | ( | int | unit_index ) | `[inline]`

Definition at line 80 of file RenderState.hpp.

## Member Data Documentation

int vl::TextureState::mTextureUnit`[protected]`

Definition at line 82 of file RenderState.hpp.

Referenced by vl::TexEnv::TexEnv(), and vl::TexGen::TexGen().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/RenderState.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.